{% extends "posts/base.html"%}
{% block page_content %}
<font color="black">

<div id="page" class="container">
<section>
    <header class="major">
        <h2>Relations</h2>
        <span class="byline">This is table of every possible exchange</span>
    </header>

        <form method="GET">
           <table>
               <tr>
                  <th><p>Exchange university: <br>{{ filter.form.ex_uni }}</p></th>
                   <th><p>Program : <br>{{ filter.form.program }}</p></th>
                   <tr/>
                   <tr>
                   <th><p>Croatian university: <br>{{ filter.form.cro_uni }}</p></th>
                   <th><p>ISCED area : <br>{{ filter.form.ISCED_Area }}</p>  </th>

               </tr>

               <tr>
                   <th><p>Bachelor :  <br>{{ filter.form.bachelor }}</p>  </th>
                   <th><p>Master : <br>{{ filter.form.master }}</p></th>
               </tr><tr>
                   <th><p>Doctorate : <br> {{ filter.form.doctorate }}</p>  </th>
                   <th><p>Duration(months) : <br> {{ filter.form.duration_in_months }}</p></th>
               </tr>
               </table>
       <p><button type="submit" class="button">Search</button></p>
        </form>
    <table>
        <tr>
            <th><p><b>CROuni</b></p></th>
            <th><b>EXCHANGEuni</b></th>
            <th><b>ISCED</b></th>
            <th><b>PROGRAM</b></th>
            <th><b>Cycles</b></th>
            <th><b>Duration<br>(months)</b></th>
            <th><b>Reviews</b></th>
        </tr>
        {% for snippet in filter.qs %}
            <tr>
            <th><p>{{ snippet.cro_uni }}</p></th>
            <th><p>{{ snippet.ex_uni }}</p></th>
            <th><p>{{ snippet.ISCED_Area.isced_id }} - {{ snippet.ISCED_Area.isced_name }}</p></th>
            <th><p>{{ snippet.program.short_name }}</p></th>
            <th><p>{% if  snippet.bachelor %} Bachelor {% endif %}
                 {% if snippet.master %} Master {% endif %}
                 {% if snippet.doctorate %} Doctorate {% endif %}
            <th><p>{{ snippet.duration_in_months }}</p></th>
            <th>
                {% if snippet.ex_uni.aboutuni_set.count > 0 %}
                    <a href="{% url 'exuni-detail' snippet.ex_uni.id %}">University</a>
                {% endif %}
                <br>
                {% if snippet.ex_uni.city.aboutcity_set.count > 0 %}
                    <a href="{% url 'city-detail' snippet.ex_uni.city.id %}">City</a>
                {% endif %}
            </th>
            </tr>
        {% endfor %}
        </table>


</section>
</div>
</font>
{% endblock page_content %}
